type: azure-eventhub
{{ if .eventhub }}
eventhub: {{ .eventhub }}
{{ end }}

{{ if .connection_string }}
connection_string: {{ .connection_string }}
{{ end }}

{{ if .consumer_group }}
consumer_group: {{ .consumer_group }}
{{ end }}

{{ if .storage_account }}
storage_account: {{ .storage_account }}
{{ end }}

{{ if .storage_account_key }}
storage_account_key: {{ .storage_account_key }}
{{ end }}

{{ if .storage_account_container }}
storage_account_container: {{ .storage_account_container }}
{{ else }}
{{ if .eventhub }}
storage_account_container: filebeat-platformlogs-{{ .eventhub }}
{{ end }}
{{ end }}

{{ if .resource_manager_endpoint }}
resource_manager_endpoint: {{ .resource_manager_endpoint }}
{{ end }}

{{ if .migrate_checkpoint }}
migrate_checkpoint: {{ .migrate_checkpoint }}
{{ end }}

{{ if .processor_version }}
processor_version: {{ .processor_version }}
{{ end }}

{{ if .processor_update_interval }}
processor_update_interval: {{ .processor_update_interval }}
{{ end }}

{{ if .processor_start_position }}
processor_start_position: {{ .processor_start_position }}
{{ end }}

{{ if .partition_receive_timeout }}
partition_receive_timeout: {{ .partition_receive_timeout }}
{{ end }}

{{ if .partition_receive_count }}
partition_receive_count: {{ .partition_receive_count }}
{{ end }}

tags: {{.tags | tojson}}
publisher_pipeline.disable_host: {{ inList .tags "forwarded" }}

processors:
  - add_fields:
      target: ''
      fields:
        ecs.version: 1.12.0
